{
    "include": ["backend"],
    "exclude": ["**/__pycache__", "**/node_modules", "**/.git"],
    "typeCheckingMode": "standard",
    "pythonVersion": "3.12",
    "pythonPlatform": "Linux",
    "stubPath": "",
    "extraPaths": [
        "backend/src"
    ],
    "reportAssignmentType": "none",
    "reportMissingImports": "error",
    "reportMissingTypeStubs": "none",
    "reportUnknownMemberType": "information",
    "reportUnknownParameterType": "information",
    "reportUnknownVariableType": "information",
    "reportUntypedFunctionDecorator": "warning",
    "reportUnannotatedClassAttribute": "warning",
    "reportDeprecated": "warning",
    "reportPrivateImportUsage": "none",
    "reportImportCycles": "none"
}
